Skip to content

Append text to a note (creating it if absent)

POST
/notes/append
curl --request POST \
--url https://api.engram.page/notes/append \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "path": "Daily/2026-06-20.md", "text": "\n- [ ] Ship the API docs coverage gate\n" }'

Appends text to the note at path, returning created: false. If the note does not exist it is created with a heading derived from the filename plus the text, returning created: true.

Path + text

Media typeapplication/json
AppendRequest
object
path
required
string
text
required
string
Example
{
"path": "Daily/2026-06-20.md",
"text": "\n- [ ] Ship the API docs coverage gate\n"
}

Appended

Media typeapplication/json
AppendResponse
object
created
boolean
note
Note
object
content
string
content_hash
string
nullable
description

OKF frontmatter description field

string
nullable
fm_created

OKF frontmatter created/date field

string format: date-time
nullable
fm_timestamp

OKF frontmatter timestamp/modified/updated field

string format: date-time
nullable
folder
string
nullable
id
string format: uuid
nullable
mtime

Client mtime (epoch seconds)

number format: float
parse_reason

Present when parse_status is “degraded”: {code, message, detail}

object
parse_status

Frontmatter parse outcome

string
nullable
Allowed values: ok degraded
path
required
string
resource

OKF frontmatter resource field

string
nullable
tags
Array<string>
title
string
nullable
type

OKF frontmatter type field

string
nullable
updated_at
string format: date-time
nullable
version
integer
nullable
path
string
Example
{
"note": {
"parse_status": "ok",
"path": "Projects/engram.md"
}
}

Validation error

Media typeapplication/json
Error
object
errors
One of:
string
Examplegenerated
{
"errors": {}
}